petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMMoabFEMCreateQuadratureDefault

Create default quadrature rules for integration over an element with a given dimension and polynomial order (deciphered from number of element vertices).

### Synopsis

    #include "petscdt.h"
    #include "petscdmmoab.h"
    PetscErrorCode DMMoabFEMCreateQuadratureDefault ( const PetscInt dim, const PetscInt nverts, PetscQuadrature *quadrature )

### Input Parameter

PetscInt dim, the element dimension (1=EDGE, 2=QUAD/TRI, 3=HEX/TET) -. PetscInt nverts, the number of vertices in the physical element

### Output Parameter

PetscQuadrature quadrature, the quadrature object with default settings to integrate polynomials defined over the element -

### Keywords

DMMoab, Quadrature, PetscDT

### Level

advanced

### Location

src/dm/impls/moab/dmmbfem.cxx
Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages